diff -ru abcde-2.1.6/abcde abcde-2.1.6-he/abcde
--- abcde-2.1.6/abcde	2003-09-04 13:59:03.000000000 +0200
+++ abcde-2.1.6-he/abcde	2003-09-04 16:45:37.000000000 +0200
@@ -959,6 +959,8 @@
 		EDITCDDB=n
 	fi
 	if [ "$EDITCDDB" = "y" ]; then
+		CDDBDATAMD5SUM=$(md5sum "$CDDBDATA" | cut -d " " -f 1);
+		
 		# Use the debian sensible-editor wrapper to pick the editor that the
 		# user has requested via their $EDITOR environment variable
 		if [ -x "/usr/bin/sensible-editor" ]; then
@@ -1073,29 +1075,31 @@
 	echo "variousartiststyle=$VARIOUSARTISTSTYLE" >> "$ABCDETEMPDIR/status"
 
 	if [ "$UNINTENTIONALLY_ANGER_THE_FREEDB_PEOPLE" = "y" ]; then
-		# This works but does not have the necessary error checking
-		# yet. If you are familiar with the CDDB spec
-		# (see http://www.freedb.org/src/latest/DBFORMAT) 
-		# and can create an error-free entry on your own, then put
-		# UNINTENTIONALLY_ANGER_THE_FREEDB_PEOPLE=y in your
-		# abcde.conf to enable it. Put CDDBSUBMIT=email@address in
-		# your abcde.conf to change the email address submissions are
-		# sent to.
-
-		# submit the modified file, if they want
-		if [ "$NOSUBMIT" != "y" ]; then
-			echo -n "Do you want to submit this entry to $CDDBSUBMIT? [y/n] (n): "
-			read YESNO
-			while [ "$YESNO" != "y" ] && [ "$YESNO" != "n" ] && [ "$YESNO" != "Y" ] && \
-				[ "$YESNO" != "N" ] && [ "$YESNO" != "" ]
-			do
-				echo -n 'Invalid selection. Please answer "y" or "n": '
+		if [ $CDDBDATAMD5SUM != "" ]  && [ $CDDBDATAMD5SUM != $(md5sum "$CDDBDATA" | cut -d " " -f 1) ]; then
+			# This works but does not have the necessary error checking
+			# yet. If you are familiar with the CDDB spec
+			# (see http://www.freedb.org/src/latest/DBFORMAT) 
+			# and can create an error-free entry on your own, then put
+			# UNINTENTIONALLY_ANGER_THE_FREEDB_PEOPLE=y in your
+			# abcde.conf to enable it. Put CDDBSUBMIT=email@address in
+			# your abcde.conf to change the email address submissions are
+			# sent to.
+
+			# submit the modified file, if they want
+			if [ "$NOSUBMIT" != "y" ]; then
+				echo -n "Do you want to submit this entry to $CDDBSUBMIT? [y/n] (n): "
 				read YESNO
-			done
-			if [ "$YESNO" = "y" ] || [ "$YESNO" = "Y" ]; then
-				echo -n "Sending..."
-				$CDDBTOOL send "$CDDBDATA" $CDDBSUBMIT
-				echo "done."
+				while [ "$YESNO" != "y" ] && [ "$YESNO" != "n" ] && [ "$YESNO" != "Y" ] && \
+					[ "$YESNO" != "N" ] && [ "$YESNO" != "" ]
+				do
+					echo -n 'Invalid selection. Please answer "y" or "n": '
+					read YESNO
+				done
+				if [ "$YESNO" = "y" ] || [ "$YESNO" = "Y" ]; then
+					echo -n "Sending..."
+					$CDDBTOOL send "$CDDBDATA" $CDDBSUBMIT
+					echo "done."
+				fi
 			fi
 		fi
 	fi
Only in abcde-2.1.6-he/: .abcde.swp
